<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Display messages
* @package TenderSystem
* @subpackage generic
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// field request errors and type 
// e5 - Missing message id
// e6 - Message id must be a number
$fields_request = array (
	'id'	=> array("e5",	REQUEST_NUMBER,	FORMAT_NONE,	"e6")
);
// get info
if(get_request($fields_request,$info,$error,$cfg)) {
	// set paramaters
	$params = array(
		'module'			=> 'generic',
		'function'			=> 'message',
		'id'  				=> $info['id']
	);
	// set that only info required and should not be displayed
	$cfg['api_request'] = TRUE;
	// send the message to app
	$xml = send_message($params,$cfg);
	$filetype = event_parser("<filetype>","</filetype>",$xml);
	$filename = event_parser("<filename>","</filename>",$xml);
	$filecontent = event_parser("<body>","</body>",$xml);
	// decode
	$filecontent = str_replace(array("&lt;","&gt;","&amp;","&nbsp;"),array("<",">","&"," "),$filecontent);
	$filesize = strlen($filecontent);
	// determine if request was successfull
	if ($filetype && $filename && $filecontent) {
		// set the header and display
		if($filetype!="text/html") {
			$header_name = "Content-Disposition: attachment; filename=\"".$filename."\"";
			header($header_name);
			header("Content-Type: ".$filetype);
			header("Content-Length: ".$filesize);
			header("Pragma: no-cache");
			header("Expires: 0");
		}
		echo $filecontent;
	} else {
		// display xml
		display_response($xml,$cfg);
	}
} else {
	// error generate xml
	xml_generator("generic","error",$error,$params,$cfg);
}
?>